package com.dgtly.goods.mapper;

import com.dgtly.goods.domain.GoodsAttribute;
import com.dgtly.goods.domain.GoodsColor;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 商品颜色Mapper接口
 * 
 * @author dgtly
 * @date 2020-02-13
 */
public interface GoodsColorMapper 
{

    /**
     * 新增商品颜色
     * 
     * @param goodsColor 商品颜色
     * @return 结果
     */
    public int insertGoodsColor(GoodsColor goodsColor);

    /**
     * 批量新增商品颜色
     *
     * @param list 商品颜色
     * @return 结果
     */
    public int insertGoodsColorList(@Param("list") List<GoodsColor> list, @Param("goodsId") Long goodsId);
}
